LFR-FSW - Feature #705

R3+: ICD 4.1 Adaptations
08/06/2016 01:56 PM - Veronique bouzid

Status: Closed Start date: 08/06/2016
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 80%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

- Creer TC_LFR_LOAD_FILTER_PAR
- Classe + Detall
description p59 ICD 4.1

- Modifier TM_LFR_PARAMETER_DUMP

- longueur est 148

- ajouter section /SOURCE_DATA/LFR_FILTER_PARAMETERS/
sauf le champ PA_RPW_SPARES8_2

- ajouter section /SOURCE_DATA/LFR_RW_MASK

- ajouter le champ PA_RPW_SPARES_3

- Modifier TC_LFR_UPDATE_INFO

- ajouter section APPLICATION_DATA/UPDATE_INFO_PARAMETERS/UPDATE_INFO_PARAMETERS_SET8
( details pour decrire les champs)

Les emplacements etaient taggés SPARE dans les versions précédentes

- Modifier TM_LFR_HK

- renommer le champ HK_LFR_MAG_FIELDS_FLAG en SY_LFR_PAS_FILTER_ENABLED
(details pour décrire le champ)

- gjouter la section SOURCE_DATA/PARAMETERS/REACTION_WHEELS_FREQUENCY

- supprimer le champ PA_RPW_SPARES_1

(details pour décrire les champs)

- Modifier TM_LFR_TC_EXE_NOT_EXECUTABLE
- renommer le champ HK_LFR_MAG_FIELDS_FLAG en SY_LFR_PAS_FILTER_ENABLED
(details pour décrire le champ)

History

#1 - 09/06/2016 02:13 PM - Veronique bouzid
- Description updated

#2 - 09/06/2016 02:15 PM - Veronique bouzid
- Description updated

#3 - 09/06/2016 02:35 PM - Veronique bouzid
- Description updated

#4 - 27/06/2016 03:55 PM - Veronique bouzid
- Description updated

#5 - 27/06/2016 03:55 PM - Veronique bouzid
- Description updated

#6 - 28/06/2016 12:37 PM - Veronique bouzid
- Status changed from New to In Progress

- % Done changed from 0 to 80
Voici la liste des fichiers modifiés pour intégrer les évolutions
/opt/VALIDATION_R3plus/common

- tc_analyse.py

- tm_analyse.py

/opt/VALIDATION_R3plus/common/icd
- tc_lfr_load_filter_par_analyze.py

- tc_Ifr_update_info_analyze.py

- tm_Ifr_hk_analyze.py

- tm_lIfr_parameter_dump_analyze.py

/opt/VALIDATION_R3plus/PacketsDef
- tc_def.py

Il reste a adapter lla verification de la coherence des commandes (Répertoire /opt/VALIDATION_R3plus/common/RulesClasses.

- Sur le traitement de TM_LFR_ HK (hk_reporting)

- verifier que le champ SY_LFR_PAS_FILTER est en coherence avec SY_LFR_PAS_FILTER_ENABLED de la TC_LOAD_FILTER_PAR
- verifier que les champs (1bit) de HK_LFR_SC_RW][1,2,3,4]_F[1,2] sont en coherence avec ceux envoyés par la TC_LFR_UPDATE_INFO.

- prise en compte des nouveaux champs de TC_LFR_UPDATE_INFO
- prise en compte de la nouvelle TC_LFR_LOAD_FILTER_PAR

-Sur le traitement de la TM_LFR_PARAMETER_DUMP

- verifier que le champ SY_LFR_PAS_FILTER est en coherence avec SY_LFR_PAS_FILTER_ENABLED de la TC_LOAD_FILTER_PAR

- verifier que le champ SY_LFR_PAS_FILTER_MODULUS est en coherence avec celui de la TC_LOAD_FILTER_PAR
- verifier que le champ SY_LFR_PAS_FILTER_TBAD est en coherence avec celui de la TC_LOAD_FILTER_PAR

- verifier que le champ SY_LFR_PAS_FILTER_OFFSET est en coherence avec celui de la TC_LOAD_FILTER_PAR

- verifier que le champ SY_LFR_PAS_FILTER_SHIFT est en coherence avec celui de la TC_LOAD_FILTER_PAR

- verifier que le champ SY_LFR_PAS_FILTER_DELTA_F est en coherence avec celui de la TC_LOAD_FILTER_PAR
En ce qui concerne la corrélation de la section des masques PA_LFR_RW_MASK, c'est Gérald qui fera cette partie

#7 - 19/08/2016 11:45 AM - Veronique bouzid

- Description updated

#8 - 03/02/2017 11:11 AM - Veronique bouzid

- Status changed from In Progress to Closed

Fait.
